summaryrefslogtreecommitdiffstats
path: root/check-external/update.sh
diff options
context:
space:
mode:
authorRaphael Geissert <geissert@debian.org>2010-12-14 03:55:03 +0000
committerRaphael Geissert <geissert@debian.org>2010-12-14 03:55:03 +0000
commitda2d9535b78a6b3344de3a698f4243511c249484 (patch)
tree3d156886b995ccb1d733c52fed67e7c0a13361ad /check-external/update.sh
parent6fb0f15dcd5e102cfeae2288b4ba61c455193587 (diff)
Add some scripts to check our CVE list against Red Hat's
Try with: cd check-external && ./update.sh && ./lookup.sh CVE-2010 git-svn-id: svn+ssh://svn.debian.org/svn/secure-testing@15701 e39458fd-73e7-0310-bf30-c45bca0a0e42
Diffstat (limited to 'check-external/update.sh')
-rwxr-xr-xcheck-external/update.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/check-external/update.sh b/check-external/update.sh
new file mode 100755
index 0000000000..cf75051fba
--- /dev/null
+++ b/check-external/update.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+####################
+# Copyright (C) 2010 by Raphael Geissert <geissert@debian.org>
+#
+#
+# This file is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this file. If not, see <http://www.gnu.org/licenses/>.
+####################
+
+# Note: The downloaded html files are Copyright by Red Hat, Inc.
+# or as specified at the individual html files or elsewhere on redhat.com's website
+
+set -e
+
+for year in $(seq 1999 $(date +%Y)); do
+ wget -N https://www.redhat.com/security/data/cve/cve-$year.html
+done
+
+sed -rn '/CVE-[12][0-9]{3}-/{s/^.+>(CVE-[12][0-9]{3}-[0-9]{4})<.+$/\1/;p}' cve-*.html > cve.list

© 2014-2024 Faster IT GmbH | imprint | privacy policy